Name:           perl-Net-SSL-ExpireDate
Version:        1.25
Release:        1%{?dist}
Summary:        Obtain expiration date of certificate
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Net-SSL-ExpireDate/
Source0:        http://www.cpan.org/authors/id/H/HI/HIROSE/Net-SSL-ExpireDate-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.008005
BuildRequires:  perl(Class::Accessor)
BuildRequires:  perl(Crypt::OpenSSL::X509)
BuildRequires:  perl(Date::Parse)
BuildRequires:  perl(DateTime)
BuildRequires:  perl(DateTime::Duration)
BuildRequires:  perl(IO::Socket)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::Base)
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(Time::Duration::Parse)
BuildRequires:  perl(UNIVERSAL::require)
Requires:       perl(Class::Accessor)
Requires:       perl(Crypt::OpenSSL::X509)
Requires:       perl(Date::Parse)
Requires:       perl(DateTime)
Requires:       perl(DateTime::Duration)
Requires:       perl(IO::Socket)
Requires:       perl(Time::Duration::Parse)
Requires:       perl(UNIVERSAL::require)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Net::SSL::ExpireDate get certificate from network (SSL) or local file and
obtain its expiration date.

%prep
%setup -q -n Net-SSL-ExpireDate-%{version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install --destdir=$RPM_BUILD_ROOT --create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes cpanfile dist.ini LICENSE META.json README sample
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Jun 19 2025 Michael Stauber <mstauber@blueonyx.it> 1.25-1
- Specfile autogenerated by cpanspec 1.78.
